/***************************************\
*	Suppression des blancs en dbut et find de chaine
\***************************************/
function Trim(str)
{
   return str.replace(/(^\s*)|(\s*$)/g, "");
}

/***************************************\
*	Ouverture/fermeture d'un calque
\***************************************/
function OpenClose( div_id )
{
	var div = document.getElementById(div_id);

	if(div.style.display == 'none')
	{
		div.style.display = 'list-item';
	}
	else{	div.style.display = 'none';	}
}

/***************************************\
*	On vrifie un formulaire
\***************************************/
function check_fld(compteur,f,champ)
{
	//champ pas rempli +1 au compteur et surlignage du champ
	if( !Trim(f.elements[champ].value) )
	{	
		compteur++;
		f.elements[champ].style.backgroundColor = "#fcf3fc";
	}
	//sinon
	else{
		f.elements[champ].style.backgroundColor = "";
	}
	//on renvoie le compteur, modifi ou pas
	return(compteur);
}

function Verif(f,cc,message)
{
	//initialisation du compteur de champs manquants
	var blank_fld = 0;
		
	//cration du tableau des champs
	var r = new RegExp("[,;]+","gi");
	var champs = cc.split(r);
	var l = champs.length;
		
	//vrif des champs
	for(i=0;i<l;i++)
	{
		blank_fld = check_fld(blank_fld,f,champs[i]);
	}
		
	// on ne valide pas le formulaire car des champs sont manquants
	if(blank_fld > 0)
	{
		alert("Ce n'est pas bon. Il manque '" + blank_fld + "' champ(s)  remplir");
		return false;
	}
	// tout est rempli, impec' on continue
	else{
		//on fait un switch sur les diffrents codes messages
		var msg;
		var choix = true;
		switch(message)
		{
			case 0:	msg = "";break;
			default:
			case 1:	msg = "Vous allez valider le formulaire.\n\nCliquez sur OK pour confimer sinon annulez.";break;
			case 2:	msg = "Vous allez soumettre une question dans la FAQ.\n\nCliquez sur OK pour valider votre choix sinon annulez pour ne rien prendre en compte.\n\nSi vous tes membre, vous serez immdiatement averti aprs toute nouvelle rponse.";break;
			case 3:	msg = "Vous allez valider votre note, pensez que c'est le jeu qui est not, pas le test.\n\nCliquez sur 'Annuler' pour annuler sinon validez sur 'OK'.";break;
			case 4: msg = "Vous allez soumettre ce test.\nIl sera lu par l'quipe avant d'tre valid et publi sur le site. S'il ne respecte pas les rgles nonces en dbut de page, il sera tout simplement refus.\nCliquez sur 'OK' pour continuer sinon annulez.";break;
		}

		//boite de confirmation
		if( message != 0 )
		{
			choix = confirm(msg);
		}
		
		//On fait quoi, on valide ou pas ?
		if( choix == true )
		{	
			f.submit.disabled = true;
			return true;
		}
		else{	return false;	}
	}
}

function Download(what,id,partie)
{
	popup("type=download&what="+what+"&id="+id+"&part="+partie,600,300);
}
	
function Send2friend()
{
	var page = window.document.URL;
	popup('type=recommander&url='+escape(page),600,400);
}

function Editeurs()
{
	popup("type=veda&action=editeurs",600,200);
}
	
function popup(url,largeur,hauteur)
{
	var uri = "http://www.emunova.net";
		
	var temp = window.open(uri+"/go/popup.php?"+url,"download","directories=no,menubar=no,status=no,location=no,scrollbars=auto,resizable=yes,height="+hauteur+",width="+largeur+",left=0,top=0,fullscreen=no");
	temp.focus();
}
